org.apache.maven.scm.provider.svn.svnexe.command.changelog

## Class IllegalOutputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.maven.scm.provider.svn.svnexe.command.changelog.IllegalOutputException

- All Implemented Interfaces:
    Serializable

      public class IllegalOutputException
      extends RuntimeException

  Thrown when the output of an svn log command isn't recognized.
  Since:
    1.3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalOutputException(String message)` Create the exception with a message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalOutputException

          public IllegalOutputException(String message)

      Create the exception with a message.
      Parameters:
        `message` - the message.

Copyright © 2003–2015. All rights reserved.